## org.apache.http.impl.auth
Class GGSSchemeBase

    java.lang.Object
      org.apache.http.impl.auth.AuthSchemeBase
          org.apache.http.impl.auth.GGSSchemeBase

All Implemented Interfaces:
  AuthScheme, ContextAwareAuthScheme

Direct Known Subclasses:
  KerberosScheme, NegotiateScheme, SPNegoScheme

    public abstract class GGSSchemeBase

extends AuthSchemeBase

Since:
  4.2

Method Summary
`Header` `authenticate(Credentials credentials, HttpRequest request)` Deprecated. (4.2) Use `ContextAwareAuthScheme.authenticate(Credentials, HttpRequest, org.apache.http.protocol.HttpContext)`
`Header` `authenticate(Credentials credentials, HttpRequest request, HttpContext context)` Produces an authorization string for the given set of `Credentials`.
`protected byte[]` `generateGSSToken(byte[] input, Oid oid, String authServer)`
`protected abstract byte[]` `generateToken(byte[] input, String authServer)`
`protected GSSManager` `getManager()`
`boolean` `isComplete()` Authentication process may involve a series of challenge-response exchanges.
`protected void` `parseChallenge(CharArrayBuffer buffer, int beginIndex, int endIndex)`

Methods inherited from class org.apache.http.impl.auth.AuthSchemeBase
`getChallengeState, isProxy, processChallenge, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.http.auth.AuthScheme
`getParameter, getRealm, getSchemeName, isConnectionBased`

Method Detail

### getManager

    protected GSSManager getManager()

### generateGSSToken

    protected byte[] generateGSSToken(byte[] input,
                                      Oid oid,
                                      String authServer)
                               throws GSSException

  Throws:
    `GSSException`

### generateToken

    protected abstract byte[] generateToken(byte[] input,
                                            String authServer)
                                     throws GSSException

  Throws:
    `GSSException`

### isComplete

    public boolean isComplete()

  Description copied from interface: `AuthScheme`
  Authentication process may involve a series of challenge-response exchanges. This method tests if the authorization process has been completed, either successfully or unsuccessfully, that is, all the required authorization challenges have been processed in their entirety.

  Returns:
    `true` if the authentication process has been completed, `false` otherwise.

### authenticate

    @Deprecated
    public Header authenticate(Credentials credentials,
                                          HttpRequest request)
                        throws AuthenticationException

  Deprecated. (4.2) Use `ContextAwareAuthScheme.authenticate(Credentials, HttpRequest, org.apache.http.protocol.HttpContext)`

  Description copied from interface: `AuthScheme`
  Produces an authorization string for the given set of `Credentials`.

  Parameters:
    `credentials` - The set of credentials to be used for athentication
    `request` - The request being authenticated
  Returns:
    the authorization string
  Throws:
    `AuthenticationException` - if authorization string cannot be generated due to an authentication failure

### authenticate

    public Header authenticate(Credentials credentials,
                               HttpRequest request,
                               HttpContext context)
                        throws AuthenticationException

  Description copied from interface: `ContextAwareAuthScheme`
  Produces an authorization string for the given set of `Credentials`.

  Specified by:
    `authenticate` in interface `ContextAwareAuthScheme`
  Overrides:
    `authenticate` in class `AuthSchemeBase`
  Parameters:
    `credentials` - The set of credentials to be used for athentication
    `request` - The request being authenticated
    `context` - HTTP context
  Returns:
    the authorization string
  Throws:
    `AuthenticationException` - if authorization string cannot be generated due to an authentication failure

### parseChallenge

    protected void parseChallenge(CharArrayBuffer buffer,
                                  int beginIndex,
                                  int endIndex)
                           throws MalformedChallengeException

  Specified by:
    `parseChallenge` in class `AuthSchemeBase`
  Throws:
    `MalformedChallengeException`

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.